Activity log for bug #2021740

Date Who What changed Old value New value Message
2023-05-30 13:06:25 You-Sheng Yang bug added bug
2023-05-30 13:07:47 You-Sheng Yang bug task added ivsc-driver (Ubuntu)
2023-06-12 11:06:18 Anthony Wong bug added subscriber Anthony Wong
2023-07-11 16:13:00 You-Sheng Yang nominated for series Ubuntu Kinetic
2023-07-11 16:13:00 You-Sheng Yang bug task added ivsc-driver (Ubuntu Kinetic)
2023-07-11 16:13:00 You-Sheng Yang bug task added ipu6-drivers (Ubuntu Kinetic)
2023-07-11 16:13:00 You-Sheng Yang nominated for series Ubuntu Jammy
2023-07-11 16:13:00 You-Sheng Yang bug task added ivsc-driver (Ubuntu Jammy)
2023-07-11 16:13:00 You-Sheng Yang bug task added ipu6-drivers (Ubuntu Jammy)
2023-07-11 16:13:00 You-Sheng Yang nominated for series Ubuntu Mantic
2023-07-11 16:13:00 You-Sheng Yang bug task added ivsc-driver (Ubuntu Mantic)
2023-07-11 16:13:00 You-Sheng Yang bug task added ipu6-drivers (Ubuntu Mantic)
2023-07-11 16:13:00 You-Sheng Yang nominated for series Ubuntu Lunar
2023-07-11 16:13:00 You-Sheng Yang bug task added ivsc-driver (Ubuntu Lunar)
2023-07-11 16:13:00 You-Sheng Yang bug task added ipu6-drivers (Ubuntu Lunar)
2023-07-11 16:28:47 You-Sheng Yang ivsc-driver (Ubuntu Kinetic): status New Won't Fix
2023-07-11 16:28:55 You-Sheng Yang ipu6-drivers (Ubuntu Kinetic): status New Won't Fix
2023-07-11 16:29:10 You-Sheng Yang ipu6-drivers (Ubuntu Mantic): importance Undecided High
2023-07-11 16:29:10 You-Sheng Yang ipu6-drivers (Ubuntu Mantic): status New In Progress
2023-07-11 16:29:10 You-Sheng Yang ipu6-drivers (Ubuntu Mantic): assignee You-Sheng Yang (vicamo)
2023-07-11 16:31:37 You-Sheng Yang attachment added ipu6-drivers_0~git202302081010.7fdfb5eb-0ubuntu0.23.10.2.mantic.dsc https://bugs.launchpad.net/ubuntu/mantic/+source/ipu6-drivers/+bug/2021740/+attachment/5685435/+files/ipu6-drivers_0~git202302081010.7fdfb5eb-0ubuntu0.23.10.2.mantic.dsc
2023-07-11 16:32:20 You-Sheng Yang attachment removed ipu6-drivers_0~git202302081010.7fdfb5eb-0ubuntu0.23.10.2.mantic.dsc https://bugs.launchpad.net/ubuntu/mantic/+source/ipu6-drivers/+bug/2021740/+attachment/5685435/+files/ipu6-drivers_0~git202302081010.7fdfb5eb-0ubuntu0.23.10.2.mantic.dsc
2023-07-11 16:33:36 You-Sheng Yang attachment added ipu6-drivers_0~git202302081010.7fdfb5eb-0ubuntu0.23.10.2.mantic.debdiff https://bugs.launchpad.net/ubuntu/mantic/+source/ipu6-drivers/+bug/2021740/+attachment/5685436/+files/ipu6-drivers_0~git202302081010.7fdfb5eb-0ubuntu0.23.10.2.mantic.debdiff
2023-07-11 20:16:10 Ubuntu Foundations Team Bug Bot tags patch
2023-07-11 20:16:15 Ubuntu Foundations Team Bug Bot bug added subscriber Ubuntu Sponsors
2023-07-18 09:15:29 You-Sheng Yang ipu6-drivers (Ubuntu Lunar): importance Undecided High
2023-07-18 09:15:29 You-Sheng Yang ipu6-drivers (Ubuntu Lunar): status New In Progress
2023-07-18 09:15:29 You-Sheng Yang ipu6-drivers (Ubuntu Lunar): assignee You-Sheng Yang (vicamo)
2023-07-18 09:15:43 You-Sheng Yang ipu6-drivers (Ubuntu Jammy): importance Undecided High
2023-07-18 09:15:43 You-Sheng Yang ipu6-drivers (Ubuntu Jammy): status New In Progress
2023-07-18 09:15:43 You-Sheng Yang ipu6-drivers (Ubuntu Jammy): assignee You-Sheng Yang (vicamo)
2023-07-18 09:15:57 You-Sheng Yang ivsc-driver (Ubuntu Mantic): importance Undecided High
2023-07-18 09:15:57 You-Sheng Yang ivsc-driver (Ubuntu Mantic): status New In Progress
2023-07-18 09:15:57 You-Sheng Yang ivsc-driver (Ubuntu Mantic): assignee You-Sheng Yang (vicamo)
2023-07-18 09:16:09 You-Sheng Yang ivsc-driver (Ubuntu Lunar): importance Undecided High
2023-07-18 09:16:09 You-Sheng Yang ivsc-driver (Ubuntu Lunar): status New In Progress
2023-07-18 09:16:09 You-Sheng Yang ivsc-driver (Ubuntu Lunar): assignee You-Sheng Yang (vicamo)
2023-07-18 09:16:23 You-Sheng Yang ivsc-driver (Ubuntu Jammy): importance Undecided High
2023-07-18 09:16:23 You-Sheng Yang ivsc-driver (Ubuntu Jammy): status New In Progress
2023-07-18 09:16:23 You-Sheng Yang ivsc-driver (Ubuntu Jammy): assignee You-Sheng Yang (vicamo)
2023-07-18 09:21:11 You-Sheng Yang attachment added ipu6-drivers_0~git202211220708.278b7e3d-0ubuntu0.22.04.2.jammy.debdiff https://bugs.launchpad.net/bugs/2021740/+attachment/5686947/+files/ipu6-drivers_0~git202211220708.278b7e3d-0ubuntu0.22.04.2.jammy.debdiff
2023-07-18 09:21:11 You-Sheng Yang attachment added ivsc-driver_0~git202211241536.70d95269-0ubuntu0.22.04.2.jammy.debdiff https://bugs.launchpad.net/bugs/2021740/+attachment/5686948/+files/ivsc-driver_0~git202211241536.70d95269-0ubuntu0.22.04.2.jammy.debdiff
2023-07-18 09:21:11 You-Sheng Yang attachment added ipu6-drivers_0~git202211220708.278b7e3d-0ubuntu0.23.04.2.lunar.debdiff https://bugs.launchpad.net/bugs/2021740/+attachment/5686949/+files/ipu6-drivers_0~git202211220708.278b7e3d-0ubuntu0.23.04.2.lunar.debdiff
2023-07-18 09:21:11 You-Sheng Yang attachment added ivsc-driver_0~git202211241536.70d95269-0ubuntu0.23.04.2.lunar.debdiff https://bugs.launchpad.net/bugs/2021740/+attachment/5686950/+files/ivsc-driver_0~git202211241536.70d95269-0ubuntu0.23.04.2.lunar.debdiff
2023-07-18 09:21:11 You-Sheng Yang attachment added ivsc-driver_0~git202212210258.94ecb88b-0ubuntu0.23.10.2.mantic.debdiff https://bugs.launchpad.net/bugs/2021740/+attachment/5686951/+files/ivsc-driver_0~git202212210258.94ecb88b-0ubuntu0.23.10.2.mantic.debdiff
2023-07-18 12:36:29 Łukasz Zemczak ivsc-driver (Ubuntu Mantic): status In Progress Fix Committed
2023-07-18 12:37:26 Łukasz Zemczak removed subscriber Ubuntu Sponsors
2023-07-25 10:48:49 You-Sheng Yang description To be discovered by ubuntu-drivers, dkms packages should have modaliases tag in debian/control as possible. [SRU Justifications] [Impact] Bug 2012407: kernel build fails without a newly learned directive in /sbin/dkms in bug 2012612 that helps identify whether a dkms modules is supposed to be built at all. Bug 2021740: To allow dkms driver installation initiated by ubuntu-drivers, packages must carry XB-Modaliases in debian/control. Bug 2026402: ipu6 dkms driver now fails to build against v6.5-rc1 and on. [Fix] * A BUILD_EXCLUSIVE_CONFIG patch for bug 2012407 was added to ivsc-driver/{jammy,lunar} because ivsc-driver/mantic has that already from bug 2012410. Also applied to ipu6-drivers/{mantic,lunar,jammy}. * Modaliases fixes for bug 2021740 was applied to ivsc-drivers/{mantic,lunar,jammy}, and ipu6-drivers/{mantic,lunar,jammy} * Additional fixes from upstream ipu6-drivers repo were added to ipu6-drivers/mantic for new hardware platforms. [Test Case] Bug 2012407: make sure intel-ipu6-dkms build will be skipped on platforms without CONFIG_VIDEO_V4L2_I2C, and intel-vsc-dkms on platforms without CONFIG_GPIOLIB_IRQCHIP, such as linux-headers-kvm/jammy. Bug 2021740: check built binary deb has XB-Modaliases tag in `dpkg-deb --info` output. For rest of the changes, they should be verified on next IPU6 equipped platform. [Where problems could occur] For changes for bug 2012407 and bug 2021740, they do no side effect to runtime system but to reinforce the interaction between other components. For rest of the changes, only in ipu6-drivers/mantic, they're to sync with upstream development for new hardware platforms, and expects bug fixes, updates in the coming development cycle. [Other Info] ========== original bug report ========== To be discovered by ubuntu-drivers, dkms packages should have modaliases tag in debian/control as possible.
2023-07-25 10:53:03 You-Sheng Yang bug added subscriber Ubuntu Sponsors
2023-07-30 14:48:37 Launchpad Janitor ivsc-driver (Ubuntu Mantic): status Fix Committed Fix Released
2023-07-31 12:42:38 Robie Basak removed subscriber Ubuntu Sponsors
2023-10-13 04:40:53 You-Sheng Yang bug task added linux-oem-6.5 (Ubuntu)
2023-10-13 04:41:06 You-Sheng Yang bug task added linux-oem-6.1 (Ubuntu)
2023-10-13 04:41:19 You-Sheng Yang bug task added linux (Ubuntu)
2023-10-13 04:41:34 You-Sheng Yang linux-oem-6.5 (Ubuntu Kinetic): status New Invalid
2023-10-13 04:41:46 You-Sheng Yang linux-oem-6.5 (Ubuntu Lunar): status New Invalid
2023-10-13 04:41:56 You-Sheng Yang linux-oem-6.5 (Ubuntu Mantic): status New Invalid
2023-10-13 04:42:48 You-Sheng Yang linux-oem-6.5 (Ubuntu Jammy): importance Undecided High
2023-10-13 04:42:48 You-Sheng Yang linux-oem-6.5 (Ubuntu Jammy): status New In Progress
2023-10-13 04:42:48 You-Sheng Yang linux-oem-6.5 (Ubuntu Jammy): assignee You-Sheng Yang (vicamo)
2023-10-13 04:43:01 You-Sheng Yang linux-oem-6.1 (Ubuntu Kinetic): status New Invalid
2023-10-13 04:43:50 You-Sheng Yang linux-oem-6.1 (Ubuntu Lunar): status New Invalid
2023-10-13 04:44:05 You-Sheng Yang linux-oem-6.1 (Ubuntu Mantic): status New Invalid
2023-10-13 04:44:21 You-Sheng Yang linux-oem-6.1 (Ubuntu Jammy): importance Undecided High
2023-10-13 04:44:21 You-Sheng Yang linux-oem-6.1 (Ubuntu Jammy): status New In Progress
2023-10-13 04:44:21 You-Sheng Yang linux-oem-6.1 (Ubuntu Jammy): assignee You-Sheng Yang (vicamo)
2023-10-13 04:46:22 You-Sheng Yang linux (Ubuntu Jammy): status New Won't Fix
2023-10-13 04:46:33 You-Sheng Yang linux (Ubuntu Kinetic): status New Won't Fix
2023-10-13 04:46:47 You-Sheng Yang linux (Ubuntu Lunar): importance Undecided High
2023-10-13 04:46:47 You-Sheng Yang linux (Ubuntu Lunar): status New In Progress
2023-10-13 04:46:47 You-Sheng Yang linux (Ubuntu Lunar): assignee You-Sheng Yang (vicamo)
2023-10-13 04:47:07 You-Sheng Yang linux (Ubuntu Mantic): importance Undecided High
2023-10-13 04:47:07 You-Sheng Yang linux (Ubuntu Mantic): status New In Progress
2023-10-13 04:47:07 You-Sheng Yang linux (Ubuntu Mantic): assignee You-Sheng Yang (vicamo)
2023-10-13 04:48:25 You-Sheng Yang description [SRU Justifications] [Impact] Bug 2012407: kernel build fails without a newly learned directive in /sbin/dkms in bug 2012612 that helps identify whether a dkms modules is supposed to be built at all. Bug 2021740: To allow dkms driver installation initiated by ubuntu-drivers, packages must carry XB-Modaliases in debian/control. Bug 2026402: ipu6 dkms driver now fails to build against v6.5-rc1 and on. [Fix] * A BUILD_EXCLUSIVE_CONFIG patch for bug 2012407 was added to ivsc-driver/{jammy,lunar} because ivsc-driver/mantic has that already from bug 2012410. Also applied to ipu6-drivers/{mantic,lunar,jammy}. * Modaliases fixes for bug 2021740 was applied to ivsc-drivers/{mantic,lunar,jammy}, and ipu6-drivers/{mantic,lunar,jammy} * Additional fixes from upstream ipu6-drivers repo were added to ipu6-drivers/mantic for new hardware platforms. [Test Case] Bug 2012407: make sure intel-ipu6-dkms build will be skipped on platforms without CONFIG_VIDEO_V4L2_I2C, and intel-vsc-dkms on platforms without CONFIG_GPIOLIB_IRQCHIP, such as linux-headers-kvm/jammy. Bug 2021740: check built binary deb has XB-Modaliases tag in `dpkg-deb --info` output. For rest of the changes, they should be verified on next IPU6 equipped platform. [Where problems could occur] For changes for bug 2012407 and bug 2021740, they do no side effect to runtime system but to reinforce the interaction between other components. For rest of the changes, only in ipu6-drivers/mantic, they're to sync with upstream development for new hardware platforms, and expects bug fixes, updates in the coming development cycle. [Other Info] ========== original bug report ========== To be discovered by ubuntu-drivers, dkms packages should have modaliases tag in debian/control as possible. [SRU Justifications] ========== kernel ========== [Impact] Need modaliases info for ubuntu-drivers integration. [Fix] This Ubuntu sauced patch copies modaliases info from source dkms deb packages to standalone `linux-modules-<mod>-<version>-<variant>` ones if available. [Test Case] ```bash $ sudo add-apt-repository ppa:canonical-hwe-team/experimental-unstable $ apt-cache show linux-modules-ivsc-6.6.0-9005-generic | grep Modaliases Modaliases: mei-vsc(acpi*:INTC1009:*, acpi*:INTC1058:*, acpi*:INTC1094:*, acpi*:INTC10D0:*) ``` [Where problems could occur] With **XB-Modaliases** field added to deb control, `ubuntu-drivers` will then give a list of installable `linux-modules-<mod>-<version>-<variant>` candidates on available platforms. So far based on current `debian/dkms-versions`, the only one will be enabled will be ivsc-driver, and ipu6-drivers to be SRUed soon. [Other Info] To nominate Unstable/Mantic/Lunar/OEM-6.5/OEM-6.1. Note that this adds a build-dep to dh-modaliases from universe pocket. ========== ipu6-drivers, ivsc-driver ========== [Impact] Bug 2012407: kernel build fails without a newly learned directive in /sbin/dkms in bug 2012612 that helps identify whether a dkms modules is supposed to be built at all. Bug 2021740: To allow dkms driver installation initiated by ubuntu-drivers, packages must carry XB-Modaliases in debian/control. Bug 2026402: ipu6 dkms driver now fails to build against v6.5-rc1 and on. [Fix] * A BUILD_EXCLUSIVE_CONFIG patch for bug 2012407 was added to ivsc-driver/{jammy,lunar} because ivsc-driver/mantic has that already from bug 2012410. Also applied to ipu6-drivers/{mantic,lunar,jammy}. * Modaliases fixes for bug 2021740 was applied to ivsc-drivers/{mantic,lunar,jammy}, and ipu6-drivers/{mantic,lunar,jammy} * Additional fixes from upstream ipu6-drivers repo were added to ipu6-drivers/mantic for new hardware platforms. [Test Case] Bug 2012407: make sure intel-ipu6-dkms build will be skipped on platforms without CONFIG_VIDEO_V4L2_I2C, and intel-vsc-dkms on platforms without CONFIG_GPIOLIB_IRQCHIP, such as linux-headers-kvm/jammy. Bug 2021740: check built binary deb has XB-Modaliases tag in `dpkg-deb --info` output. For rest of the changes, they should be verified on next IPU6 equipped platform. [Where problems could occur] For changes for bug 2012407 and bug 2021740, they do no side effect to runtime system but to reinforce the interaction between other components. For rest of the changes, only in ipu6-drivers/mantic, they're to sync with upstream development for new hardware platforms, and expects bug fixes, updates in the coming development cycle. [Other Info] ========== original bug report ========== To be discovered by ubuntu-drivers, dkms packages should have modaliases tag in debian/control as possible.